Get Shipment

View as Markdown
Retrieves detailed information about a specific shipment by shipment ID, including shipment status, tracking information, fulfillment center location, and contained products.

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Path parameters

shipmentIdstringRequiredformat: "int32"
The shipment id to get

Headers

shipbob_channel_idstringOptionalformat: "int32"

Retrieve your channel ID from the GET /channel endpoint. Use the channel ID that has write scopes.

Response

Success
actual_fulfillment_datedatetime or nullOptional

The datetime of ShipBob’s completion of the fulfillment operation as promised. Currently, this means the shipment has been picked, packed, and label has been printed.

created_datedatetimeOptional
Date this shipment was created
delivery_datedatetime or nullOptional
The datetime of Shipment delivered to customer.
estimated_fulfillment_datedatetime or nullOptional

The datetime of ShipBob’s commitment for completing the shipment and handing to the carrier for delivery.

estimated_fulfillment_date_statusenumOptional
gift_messagestring or nullOptional<=500 characters
Gift message associated with the shipment
idintegerOptional
Unique id of the shipment
insurance_valuedouble or nullOptional
Monetary amount that this shipment was insured for
invoice_amountdouble or nullOptional
Monetary amount that was invoiced for this shipment
invoice_currency_codestring or nullOptional
is_tracking_uploadedbooleanOptional

Indicates whether the Shipment was marked with tracking information uploaded to a third-party system where the order originated.

last_tracking_update_atdatetime or nullOptional
Timestamp for the last time this shipment had a tracking update
last_update_atdatetime or nullOptional
Date this shipment was last updated
locationobjectOptional
Information about a fulfillment center that a shipment can belong to
measurementsobjectOptional
Measurements of a shipment
order_idintegerOptional
Id of the order this shipment belongs to
package_material_typeenumOptional
parent_cartonslist of objects or nullOptional
Carton information for this shipment
productslist of objects or nullOptional
Information about the products contained in this shipment
recipientobjectOptional
Information about the recipient of a shipment
reference_idstring or nullOptional

Client-defined external unique id of the order this shipment belongs to

require_signaturebooleanOptional
If a shipment requires signature
ship_optionstring or nullOptional
Name of the shipping option used for this shipment
statusenumOptional
status_detailslist of objects or nullOptional
Additional details about the shipment status
trackingobjectOptional
Tracking information for a shipment

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error